Company logoTrust Center Documentation
API v1 ReferenceSubprocessorsIdBadge

Upload badge

Upload a badge image for the specified subprocessor. Supports image formats (PNG, JPEG, GIF, SVG, WebP) up to 2 MB.

PUT
/api/v1/subprocessors/{id}/badge

Upload a badge image for the specified subprocessor. Supports image formats (PNG, JPEG, GIF, SVG, WebP) up to 2 MB.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Subprocessor ID

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/subprocessors/string/badge" \  -F file="string"
{  "success": true,  "data": {    "fileId": "string",    "url": "http://example.com"  }}

How is this guide?